#
# spec file for package yast2-power-management (Version 2.13.10)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpg gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libgssapi libicu libidn libmudflap libnscd libstdc++ libtool libusb libxcrypt libxml2 liby2util libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-devtools yast2-hardware-detection yast2-pkg-bindings yast2-testsuite zlib zlib-devel


Name:           yast2-power-management
Version:        2.13.10
Release:        0.3
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-power-management-2.13.10.tar.bz2
Prefix:         /usr
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-testsuite
Requires:       yast2 gettext
Summary:        YaST2 - Power Management Configuration

%description
This package contains the YaST2 component for Power management
configuration.



Authors:
--------
    Jiri Srain <jsrain@suse.cz>

%debug_package
%prep
%setup -n yast2-power-management-2.13.10

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/power-management
/usr/share/YaST2/include/power-management/*
/usr/share/YaST2/clients/power-management.ycp
/usr/share/YaST2/clients/power-management_*.ycp
/usr/share/YaST2/modules/PowerManagement.*
%{prefix}/share/applications/YaST2/power-management.desktop
/usr/share/YaST2/scrconf/*
/usr/share/YaST2/schema/autoyast/rnc/power-management.rnc
%doc %{prefix}/share/doc/packages/yast2-power-management

%changelog
* Wed Nov 07 2007 - jsrain@suse.cz
- fix text recoding if running non-UTF-8 locale (#339423)
- 2.13.10
* Tue Mar 13 2007 - jsrain@suse.cz
- added the .rnc file (#253599)
- 2.13.9
* Fri Jan 12 2007 - lslezak@suse.cz
- 2.13.8
* Wed Nov 15 2006 - lslezak@suse.cz
- fixed check for already existing scheme, do not overwrite
  existing schema (#218656)
* Thu May 25 2006 - jsrain@suse.cz
- do not restart powersaved during autoinstallation (#177706)
- 2.13.7
* Mon Mar 27 2006 - jsrain@suse.de
- updated BuildRequires
- 2.13.6
* Mon Feb 20 2006 - jsrain@suse.de
- translate empty string as empty string (#148641)
- 2.13.5
* Mon Jan 23 2006 - jsrain@suse.cz
- merged texts from proofread
- 2.13.4
* Fri Jan 13 2006 - jsrain@suse.cz
- on overheat, don't offer actions which do not make sense (logout,
  screensaver)
- 2.13.3
* Wed Dec 21 2005 - visnov@suse.cz
- merged proofread texts
* Fri Dec 02 2005 - jsrain@suse.cz
- updated desktop file (#135803)
- fixed path in help text (#136068)
- fixed saved configuration options (#134173)
- 2.13.2
* Fri Nov 11 2005 - jsrain@suse.cz
- added "Ignore Niced Processes" check box to scheme settings
  (#95003)
* Mon Oct 03 2005 - jsrain@suse.cz
- move global power management settings under a menu button
  (#81696)
- 2.13.1
* Thu Sep 29 2005 - jsrain@suse.cz
- do not offer defining actions for event which cannot occurre
  (becuase of hardware) (#117150)
- 2.13.0
* Fri Aug 26 2005 - jsrain@suse.cz
- handle correctly empty values in powersave configuration files
  (#105301)
- 2.12.3
* Mon Jul 11 2005 - jsrain@suse.cz
- adapted to variable renames of powersave daemon
- 2.12.2
* Fri Jun 10 2005 - jsrain@suse.cz
- merged texts update by rwalter
- 2.12.1
* Mon May 30 2005 - jsrain@suse.cz
- don't save translated texts to sysconfig unless user modified
  the texts (scheme name and description) (#85611)
- 2.12.0
* Wed Mar 23 2005 - jsrain@suse.cz
- fixed the path to scheme names translations (#61403)
* Mon Feb 28 2005 - jsrain@suse.cz
- disable DPMS settings
* Thu Feb 24 2005 - jsrain@suse.cz
- replaced 'stand-by' in all texts with 'standby'
* Wed Feb 23 2005 - jsrain@suse.cz
- fixed some check_ycp errors
* Fri Feb 18 2005 - jsrain@suse.cz
- fixed comments for translators
- fixed comments in the code
- 2.11.4
* Mon Feb 07 2005 - jsrain@suse.cz
- merged texts from proofread
- 2.11.3
* Mon Jan 31 2005 - jsrain@suse.cz
- translate scheme names and descriptions, added gettext to
  required packages
- 2.11.2
* Tue Dec 21 2004 - jsrain@suse.cz
- added support for the commandline interface
- 2.11.1
* Tue Dec 14 2004 - jsrain@suse.cz
- get scheme names and descriptions translatinos from kpowersave.po
  (#46186, #46403)
* Thu Nov 18 2004 - jsrain@suse.cz
- checking if power-saving modes are supported for ACPI (#48175)
* Tue Oct 26 2004 - jsrain@suse.cz
- adapted to new Mode.ycp
- 2.11.0
* Tue Oct 19 2004 - jsrain@suse.cz
- stopped using duplicated text "Really Abort"
* Wed Sep 29 2004 - jsrain@suse.cz
- fixed translating of the acoustic scheme description (#46403)
- 2.10.9
* Wed Sep 22 2004 - jsrain@suse.cz
- fixed creating schemes during autoinstallation (#45740)
- 2.10.8
* Fri Sep 17 2004 - jsrain@suse.cz
- added possibility not to modify disk parameters (#45456)
- 2.10.7
* Fri Sep 03 2004 - jsrain@suse.cz
- added GetModified and SetModified functions to _auto client
- 2.10.6
* Mon Aug 30 2004 - jsrain@suse.cz
- fixed storing of settings (due to a typo were stored after the
  powersave daemon was restarted) (#44142)
- 2.10.5
* Fri Aug 27 2004 - jsrain@suse.cz
- merged texts from proofread
* Thu Aug 19 2004 - jsrain@suse.cz
- rearranged check box for allowing STD/STR/StdBy
- added warning if enabling StdBy/STR, reordered the check boxes
- added possibility to throttle always
- 2.10.4
* Thu Aug 12 2004 - jsrain@suse.cz
- adapted to changes in powersave package
- enabled autoisntallation support
- updated dialog layout
- 2.10.3
* Tue Aug 10 2004 - jsrain@suse.cz
- merged texts from proofread
* Mon Aug 09 2004 - jsrain@suse.cz
- adapted to the changed interface of CWM
- 2.10.2
* Mon Jul 12 2004 - jsrain@suse.cz
- added possibility to set actions to be processed when overheating
  and DPMS timeouts, removed system suspend settings (won't be
  ready in kernel)
- minor updates
- 2.10.1
* Thu Jun 10 2004 - jsrain@suse.cz
- added possibility to allow users suspend/standby the machine and
  more scheme settings
* Tue May 11 2004 - jsrain@suse.cz
- removed BuildArchitectures: noarch from spec file (#40198)
- 2.9.10
* Tue May 04 2004 - jsrain@suse.cz
- merged texts from proofreading
* Mon May 03 2004 - jsrain@suse.cz
- fixed typo in package name (#39441)
- 2.9.9
* Fri Apr 02 2004 - jsrain@suse.de
- changed license to GPL
- 2.9.8
* Mon Mar 29 2004 - jsrain@suse.de
- fixed summary displaying (#37242)
- 2.9.7
* Mon Mar 29 2004 - jsrain@suse.de
- fixed aborting of saving process (#37205)
- display scheme names and descriptions localized in main dialog
- 2.9.6
* Wed Mar 17 2004 - jsrain@suse.cz
- added missing texts
- 2.9.5
* Mon Mar 15 2004 - jsrain@suse.cz
- moved to the System group of control center
- 2.9.4
* Tue Mar 09 2004 - jsrain@suse.de
- Require -> Package
* Mon Mar 08 2004 - jsrain@suse.de
- set icon
- 2.9.3
* Mon Mar 08 2004 - jsrain@suse.de
- syntax fixes
- 2.9.2
* Thu Mar 04 2004 - jsrain@suse.de
- fixed saving of new schemes
- restarting powersave daemon after configuration files are saved
- scheme names are localized now
- providing meaningful summary for AutoYaST
* Mon Mar 01 2004 - jsrain@suse.de
- merged texts from proofread
- fixed saving selected power saving scheme
- more strict data types
- 2.9.1
* Wed Feb 25 2004 - jsrain@suse.de
- initial version
